Name:          python-pyparsing
Version:       2.1.1
Release:       1mamba
Summary:       An alternative approach to creating and executing simple grammars
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pyparsing.wikispaces.com/
Source:        http://downloads.sourceforge.net/project/pyparsing/pyparsing/pyparsing-%{version}/pyparsing-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The pyparsing module is an alternative approach to creating and executing simple grammars, vs. the traditional lex/yacc approach, or the use of regular expressions.  The pyparsing module provides a library of classes that client code uses to construct the grammar directly in Python code.

%prep
%setup -q -n pyparsing-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Automatic Build System <autodist@mambasoft.it> 2.0.7-1mamba
- automatic version update by autodist

* Thu Dec 17 2015 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Sun Nov 01 2015 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Wed Nov 05 2014 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic update by autodist

* Sun May 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- package created using the webbuild interface
